POS365.VN APIs

<back to all web services

GetTaxDeclarationInventory

Requires Authentication
The following routes are available for this service:
GET/api/v2/tax-declarations/inventory
GetTaxDeclarationBase<T> Parameters:
NameParameterData TypeRequiredDescription
PeriodTypeformPeriodTypeNo
PeriodValueformintNo
PeriodYearformintNo
PeriodType Enum:
NameValue
Monthly1enum_Monthly
Quarterly2enum_Quarterly
Yearly3enum_Yearly
GetTaxDeclarationInventoryResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<TaxDeclarationInventoryDto>No
TaxDeclarationInventoryDto Parameters:
NameParameterData TypeRequiredDescription
ProductIdformlong?No
ProductCodeformstringNo
ProductNameformstringNo
ProductUnitformstringNo
ClosingOnHandformstringNo
ClosingValueformstringNo
GetTaxDeclarationInventoryResponse Parameters:
NameParameterData TypeRequiredDescription
DataformList<TaxDeclarationInventoryDto>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /api/v2/tax-declarations/inventory HTTP/1.1 
Host: api.pos365.vn 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	Data: 
	[
		{
			ProductId: 0,
			ProductCode: String,
			ProductName: String,
			ProductUnit: String,
			ClosingOnHand: String,
			ClosingValue: String
		}
	]
}